Bug 492125 - (mingw32-pangomm) Review Request: mingw32-pangomm - MinGW Windows C++ interface for Pango
Review Request: mingw32-pangomm - MinGW Windows C++ interface for Pango
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: mingw32-cairomm
Blocks: mingw32-gtkmm24
  Show dependency treegraph
 
Reported: 2009-03-25 09:53 EDT by Thomas Sailer
Modified: 2009-04-13 15:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.14.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 15:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-03-25 09:53:40 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-pangomm.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-pangomm-2.14.1-1.fc11.src.rpm
Description:
MinGW Windows C++ interface for Pango

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Mattias Ellert 2009-04-07 11:25:11 EDT
Fedora review mingw32-pangomm-2.14.1-1.fc11.src.rpm 2008-04-07

* OK
! needs attention

* rpmlint output
  Only expected Errors/Warnings from a mingw package

* Package is named according to Fedora mingw packaging guidelines

* Spec file is named as the package

* Package follows the Fedora mingw packaging guidelines

* The stated license (LGPLv2+) is a Fedora approved license

* The stated license is the same as the one for the corresponding
  Fedora package

* The package contains the license file (COPYING)

* The spec file is written in legible English

* Sources matches upstream

  c67228ea93dd977394d2872b61754b53  pangomm-2.14.1.tar.bz2
  c67228ea93dd977394d2872b61754b53  SRPM/pangomm-2.14.1.tar.bz2

! Accoding to guidelines the version should match the version of the
  corresponding Fedora package. The version in Fedora 11 is now 2.24.0
  (built yesterday 2009-04-06 - so no shadow falls on the requester.)
  http://koji.fedoraproject.org/koji/buildinfo?buildID=96784

  Fedora 10 so far remains at 2.14.1 (in case a Fedora 10 package is
  considered)

* Package builds in mock (Fedora 10)

* BuildRequires look sane

* Owns the directories it creates

* No duplicate files

* %files has %defattr

* %clean clears %buildroot

* Specfile uses macros consistently

* Package does not own other's directories

* %install clears %buildroot

* Installed filenames are valid UTF8
Comment 2 Thomas Sailer 2009-04-07 12:38:16 EDT
Thank you for taking the review!

I have updated the package:
http://sailer.fedorapeople.org/mingw32-pangomm.spec
http://sailer.fedorapeople.org/mingw32-pangomm-2.24.0-1.fc11.src.rpm
Comment 3 Mattias Ellert 2009-04-08 06:52:07 EDT
The updated package builds in mock (Fedora 10) and its sources match upstream:

fa0f44c37499433455857becad4bbcda  pangomm-2.24.0.tar.bz2
fa0f44c37499433455857becad4bbcda  SRPM/pangomm-2.24.0.tar.bz2

The rest of the review in comment 1 still applies.

There is a tiny error in the specfile. The Source0 should be .../2.24/... not .../2.14/... due to an oversight when the package was updated:

Source0:        http://ftp.gnome.org/pub/GNOME/sources/pangomm/2.24/pangomm-%{version}.tar.bz2

But that can be fixed without having to send an updated version for me to approve.

Package approved.
Comment 4 Thomas Sailer 2009-04-09 06:08:24 EDT
New Package CVS Request
=======================
Package Name: mingw32-pangomm
Short Description: MinGW Windows C++ interface for Pango
Owners: sailer rjones
Branches: F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-04-09 19:30:06 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-12 17:29:52 EDT
mingw32-pangomm-2.14.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-pangomm-2.14.1-1.fc10
Comment 7 Fedora Update System 2009-04-13 15:41:32 EDT
mingw32-pangomm-2.14.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.